%
% DESCRIPTION: Program to create the Mining Front Advance GDF file in the Matlab format.
%
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'EPSG:4326';%['EPSG:' num2str(input('[CRS] EPSG code (just number) = '))];
[TimeZone] = 'UTC' %input('TimeZone (char) = ');
[Description] = 'Description of dataset'; %input('Description of data (char) = ');

[FieldDescription] = {
    'Date','Time of front advance'
    'Lat','Latitude of mining front'
    'Long','Longitude of mining front'
    'Elevation','Elevation of mining front'
    };
[FieldType] = {
    'Date',5
    'Lat',124
    'Long',134
    'Elevation',144
    };
[FieldUnit] = {
    'Date','datenum'
    'Lat','deg'
    'Long','deg'
    'Elevation','m'
    };
[d] = struct();



k=1
d(k).Date=[];
d(k).Lat=[];
d(k).Long=[];
d(k).Elevation=[];


k=2
d(k).Date=[];
d(k).Lat=[];
d(k).Long=[];
d(k).Elevation=[];


k=3
d(k).Date=[];
d(k).Lat=[];
d(k).Long=[];
d(k).Elevation=[];


k=4
d(k).Date=[];
d(k).Lat=[];
d(k).Long=[];
d(k).Elevation=[];

clear k 
save('GDF_EpisodeName_Mining_front_advance_example.mat')
